#include <bits/stdc++.h>

using namespace std;

int main()
{
    string x,y;
    string ujy="a",ujx="a",a;
    cin>>x>>y;
    string eredmeny=x;
    string nulla="a";
    if(x.length()>y.length())
    {
        eredmeny=x;
        for(int i=0;i!=x.length()-y.length()-1;i++)
            ujy+=nulla;
        ujy+=y;
        y=ujy;
    }
    else if(y.length()>x.length())
    {
        eredmeny=y;
        for(int i=0;i!=y.length()-x.length()-1;i++)
            ujx+=nulla;
        ujx+=x;
        x=ujx;
    }
    int k=0;
    for(int i=0;i<x.length()+k;i++)
        {
            if((int)x[i+k]>(int)y[i+k]&&x[i+k]!='a')
                eredmeny[i+k]=x[i+k];
            if((int)y[i+k]>(int)x[i+k]&&y[i+k]!='a')
                eredmeny[i+k]=y[i+k];
        }
    cout<<eredmeny;
    return 0;
}